<p-dialog [(visible)]="modalState" [closable]="false" [modal]="true" [baseZIndex]="30000"
          [closeOnEscape]="false" [maximizable]="false"
          [header]="lang.getCreateForum()" appendTo="body"
          [draggable]="false" [focusOnShow]="true"
          [positionTop]="200" [style]="{width: '40vw'}">

    <div class="p-fluid">
        <div class="p-grid">
            <div class="p-col-12">
                <label>{{lang.getCreateForum()}}</label>
                <input pInputText type="text"
                       [readOnly]="forum.id > 0" [disabled]="forum.id > 0"
                       (input)="createSlug()" [minlength]="4" [maxlength]="128"
                       [(ngModel)]="forum.name">
            </div>
            <div class="p-col-12">
                <label>{{lang.getDescription()}}</label>
                <textarea pInputTextarea [(ngModel)]="forum.description" [rows]="5"
                          [minlength]="8" [maxlength]="512"></textarea>
            </div>
            <div class="p-col-12">
                <label>{{lang.getSlug()}}</label>
                <input pInputText type="text"
                       [disabled]="true" [readOnly]="true"
                       [(ngModel)]="forum.slug">
            </div>
        </div>
        <div class="p-grid p-justify-end">
            <div class="p-col-12 p-xl-3">
                <p-toggleButton [onLabel]="lang.getPinned()" [offLabel]="lang.getPinned()"
                                [ngClass]="{ 'p-button-success': forum.pinned, 'p-button-danger': !forum.pinned }"
                                onIcon="pi pi-check" offIcon="pi pi-times"
                                [(ngModel)]="forum.pinned"></p-toggleButton>
            </div>
            <div class="p-col-12 p-xl-3">
                <p-toggleButton [onLabel]="lang.getLocked()" [offLabel]="lang.getLocked()"
                                [ngClass]="{ 'p-button-success': forum.locked, 'p-button-danger': !forum.locked }"
                                onIcon="pi pi-check" offIcon="pi pi-times"
                                [(ngModel)]="forum.locked"></p-toggleButton>
            </div>
        </div>
    </div>

    <p-footer>
        <button pButton [label]="lang.getCancel()"
                (click)="hideCreateForumModal()">
        </button>
        <button pButton [label]="lang.getSave()"
                (click)="saveForum()">
        </button>
    </p-footer>

</p-dialog>

